Bug 22234 - Assertion error in /usr/lib64/python2.7/site-packages/duplicity/manifest.py
Summary: Assertion error in /usr/lib64/python2.7/site-packages/duplicity/manifest.py
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL: https://bugs.launchpad.net/duplicity/...
Whiteboard: mga6-64-ok
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2017-12-19 13:20 CET by Marc Krämer
Modified: 2018-01-14 22:28 CET (History)
5 users (show)

See Also:
Source RPM: duplicity-0.7.12-1.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Marc Krämer 2017-12-19 13:20:13 CET
After the backuplog disk was full, I resized the disk and now I encounter this error:
File "/usr/lib64/python2.7/site-packages/duplicity/manifest.py", line 208, in from_string
    assert filecount == len(self.files_changed)

Accodring to associated bug, this is fiexed in 0.7.13. The lastest release is 0.7.15 - so maybe we can update duplicity...

Major priority, since backups currently do not work, and I don't know how to fix this (delting a file, ...?)
Comment 1 Marc Krämer 2017-12-19 13:26:28 CET
according to http://duplicity.nongnu.org/CHANGELOG it is fixed in 0.7.14.

At least deleting .part files helped, as stated in the changelog
Comment 2 Marja van Waes 2017-12-19 21:07:13 CET
Assigning to all packagers collectively, since there is no registered maintainer for this package.

CC: (none) => marja11
Assignee: bugsquad => pkg-bugs

Comment 3 Marc Krämer 2017-12-20 00:52:51 CET
I've looked into this issue myself (cauldron). This is python, maybe someone with python experience can do this. The built rpm requires some python packages that can't be found.
Comment 4 Marja van Waes 2017-12-20 07:15:45 CET
(In reply to Marc Krämer from comment #3)
> I've looked into this issue myself (cauldron). This is python, maybe someone
> with python experience can do this. The built rpm requires some python
> packages that can't be found.

@ Python maintainers

Reassigning to you. The built duplicity rpm Marc talks about, is a newer duplicity which fixes this bug:

(In reply to Marc Krämer from comment #0)
> After the backuplog disk was full, I resized the disk and now I encounter
> this error:
> File "/usr/lib64/python2.7/site-packages/duplicity/manifest.py", line 208,
> in from_string
>     assert filecount == len(self.files_changed)

CC: (none) => pkg-bugs
Summary: Assertion error on backup => Assertion error in /usr/lib64/python2.7/site-packages/duplicity/manifest.py
Assignee: pkg-bugs => python

Comment 5 Jani Välimaa 2017-12-22 11:42:44 CET
Pushed latest duplicity 0.7.15 to core/updates_testing. Please test.

I had to import python-fasteners from cauldron to mga6 also as it's required by latest duplicity.

SRPMS:
duplicity-0.7.15-1.mga6
python-fasteners-0.14.1-1.mga6

RPMS:
duplicity-0.7.15-1.mga6
python2-fasteners-0.14.1-1.mga6
python3-fasteners-0.14.1-1.mga6

Assignee: python => qa-bugs
CC: (none) => jani.valimaa

Comment 6 papoteur 2017-12-23 09:31:42 CET
Tested in Mageia 6 x86_64
Installing:
duplicity-0.7.15-1.mga6
python2-fasteners-0.14.1-1.mga6

Done a backup, configured with deja-dup.

All went normal.

CC: (none) => yves.brungard_mageia

Comment 7 Marc Krämer 2017-12-28 01:37:13 CET
I can confirm this for the same platform (Mageia 6 x86_64). Looks good to me.
Comment 8 claire robinson 2018-01-05 03:24:37 CET
Adding the 64bit OK for these two successful tests

Whiteboard: (none) => mga6-64-ok

Comment 9 Lewis Smith 2018-01-11 10:11:29 CET
Advisory made from comment 5.
A small query before validation.
I did empirical package & dependancy tests:

BEFORE the update: python2-fasteners & python3-fasteners pkgs do not exist; and duplicity shows no dependancy for them.

AFTER (from core_updates_testing): duplicity-0.7.15-1.mga6
 python2-fasteners Version     : 0.14.1 Release     : 1.mga6
 python3-fasteners Version     : 0.14.1 Release     : 1.mga6
BUT
 $ urpmq -d duplicity | grep fasteners
 python2-fasteners
i.e. no dependancy is shown for python3-fasteners.
Should there be? Does it matter? When replying, you may clear the 'feedback' marker.

Keywords: (none) => advisory, feedback

Comment 10 David Walser 2018-01-14 18:56:30 CET
It certainly shouldn't require both.

Keywords: feedback => (none)

Comment 11 Lewis Smith 2018-01-14 19:56:36 CET
In which case I am validating.

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 12 Mageia Robot 2018-01-14 22:28:21 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0015.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.